Bug 249065 (ptouch-driver-review) - Review Request: ptouch-driver CUPS driver for Brother P-touch label printers
Summary: Review Request: ptouch-driver CUPS driver for Brother P-touch label printers
Status: CLOSED NEXTRELEASE
Alias: ptouch-driver-review
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marek Mahut
QA Contact: Fedora Extras Quality Assurance
URL: http://people.redhat.com/lkundrak/SPE...
Whiteboard:
Keywords: HardwareEnablement
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-20 18:09 UTC by Lubomir Kundrak
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-27 17:43:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Kundrak 2007-07-20 18:09:08 UTC
Spec URL: http://people.redhat.com/lkundrak/SPECS/ptouch-driver.spec
SRPM URL: http://people.redhat.com/lkundrak/SRPMS/ptouch-driver-1.2-1.src.rpm
Description: CUPS driver for Brother P-touch label printers

This is a CUPS raster filter for Brother P-touch label printers.  It is
meant to be used by the PostScript Description files of the drivers from
the foomatic package.

Note: This package is a part of the ongoing effort to extend hardware
support by fixing the foomatic drivers that actually refer to external filters.

Comment 1 Lubomir Kundrak 2007-07-20 18:12:59 UTC
> E: ptouch-driver hardcoded-library-path in %{_prefix}/lib/cups/filter/rastertoptch

The only rpmlint complaint is a false alarm -- rastertoptch is not a library,
and thus even on 64bit platforms is not in lib64, but still in lib.


Comment 2 Marek Mahut 2007-07-25 19:10:09 UTC
[+] source files match upstream
[+] package meets naming and versioning guidelines.
[+] specfile is properly named, is cleanly written and uses macros consistently.
[+] dist tag is present.
[+] build root is correct.
[+] license is correct.
[+] latest version is being packaged.
[+] BuildRequires are proper.
[+] %clean is present.
[+] package installs properly
[/] rpmlint is silent.
[+] doesn't own any directories it shouldn't.
[+] no duplicates in %files.
[+] file permissions are appropriate.

Package looks sane.


APPROVED.

Comment 3 Lubomir Kundrak 2007-07-26 08:44:47 UTC
New Package CVS Request
=======================
Package Name: ptouch-driver
Short Description: CUPS driver for Brother P-touch label printers
Owners: lkundrak@redhat.com
Branches: FC-6 F-7

Comment 4 Lubomir Kundrak 2007-07-27 17:40:55 UTC
The package was imported into CVS. Thanks Marek and Warren!


Note You need to log in before you can comment on or make changes to this bug.